import * as React from 'react';
export interface AffixProps {
    /**
     * 距离窗口顶部达到指定偏移量后触发
     */
    offsetTop?: number;
    offset?: number;
    offsetBottom?: number;
    style?: React.CSSProperties;
    onChange?: (affixed?: boolean) => any;
    target?: () => Window | HTMLElement;
}
export default class Affix extends React.Component<AffixProps, any> {
    static propTypes: {
        offsetTop: React.Requireable<any>;
        offsetBottom: React.Requireable<any>;
        target: React.Requireable<any>;
    };
    static defaultProps: {
        target(): Window;
        onChange(): void;
    };
    scrollEvent: any;
    resizeEvent: any;
    refs: {
        [key: string]: any;
        fixedNode: HTMLElement;
    };
    constructor(props: any);
    setAffixStyle(e: any, affixStyle: any): void;
    setPlaceholderStyle(e: any, placeholderStyle: any): void;
    updatePosition: (e: any) => void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: any): void;
    componentWillUnmount(): void;
    setTargetEventListeners(getTarget: any): void;
    clearScrollEventListeners(): void;
    render(): JSX.Element;
}
